Debian Bug report logs - #629394
libpulse0: Depends on libxcb-atom1 but it's not installable.

version graph

Package: libpulse0; Maintainer for libpulse0 is Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>; Source for libpulse0 is src:pulseaudio.

Reported by: Sérgio Cipolla <secipolla@gmail.com>

Date: Mon, 6 Jun 2011 10:45:28 UTC

Severity: normal

Found in version pulseaudio/0.9.22-1

Fixed in version pulseaudio/0.9.23-1

Done: Bob Bib <bobbibmpn@mail.ru>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>:
Bug#629394; Package libpulse0. (Mon, 06 Jun 2011 10:45:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sérgio Cipolla <secipolla@gmail.com>:
New Bug report received and forwarded. Copy sent to Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>. (Mon, 06 Jun 2011 10:45:42 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sérgio Cipolla <secipolla@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libpulse0: Depends on libxcb-atom1 but it's not installable.
Date: Mon, 06 Jun 2011 07:35:04 -0300
Package: libpulse0
Version: 0.9.22-1
Severity: normal

I pinned *pulse* to experimental so as to try GNOME 3.
libpulse0 from experimental depends on libxcb-atom1 but the latter has no installation candidate.
I don't know if that's a bug from libpulse0 or from libxcb-atom1.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (150, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-1-686-pae (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>:
Bug#629394; Package libpulse0. (Thu, 16 Jun 2011 13:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>. (Thu, 16 Jun 2011 13:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 629394@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Arnaud Fontaine <arnau@debian.org>
Cc: Alessandro Ghedini <al3xbio@gmail.com>, 624847@bugs.debian.org, Daniel Chen <seven.steps@gmail.com>, siretart@debian.org, 629394@bugs.debian.org
Subject: Re: Bug#624847: pulseaudio does not build anymore with xcb-util 0.3.8
Date: Thu, 16 Jun 2011 15:30:19 +0200
Hi,

On Sun, 12 Jun 2011, Arnaud Fontaine wrote:
>     > Anyway, is  there any news  on the NMU?  Please note that  the bug
>     > makes  many of  the binary  packages  built from  this version  of
>     > pulseaudio, uninstallable, as reported by #629394.
> 
> As the package  is currently in experimental, it was  not a priority for
> me, sorry... Daniel:  do you want me to upload  the version currently in
> Debian git?

This package from experimental is used by people who are trying GNOME 3.
So it would be nice to get it fixed ASAP.

Please go ahead with the NMU if the maintainer doesn't beat you to
upload a fixed version. CCing Reinhard who made all the last uploads.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Reply sent to Bob Bib <bobbibmpn@mail.ru>:
You have taken responsibility. (Mon, 13 Aug 2012 22:54:17 GMT) Full text and rfc822 format available.

Notification sent to Sérgio Cipolla <secipolla@gmail.com>:
Bug acknowledged by developer. (Mon, 13 Aug 2012 22:54:17 GMT) Full text and rfc822 format available.

Message #15 received at 629394-done@bugs.debian.org (full text, mbox):

From: Bob Bib <bobbibmpn@mail.ru>
To: 629394-done@bugs.debian.org
Subject: closed: bug #629394
Date: Tue, 14 Aug 2012 02:20:42 +0400
pulseaudio (0.9.23-1) unstable; urgency=low

   [ Daniel T Chen ]
   * debian/control:
     + Fix typo in long description of pulseaudio-module-x11, thanks to
       Sam Morris (Closes: #500038)
     + Clarify long description of pulseaudio-esound-compat. Many apps
       still in use require functionality from this package
       (Closes: #601725)
   * debian/libpulse-dev.examples: Apply patch from Mario Lang to include
     simple examples in the dev package. Thanks! (Closes: #561258)
   * debian/patches/
     0003-Mention-speex-and-libsamplerate-in-pulse-daemon.conf.patch:
     + Mention speex in the resampling section. Currently the Resampler
       section of "Programming with Speex (the libspeex API)" contains
       the relevant information (Closes: #541206)
   * debian/patches/0004-Fix-FTBFS-with-xcb-util-0.3.8.patch:
     + Apply patch from Arnaud Fontaine <arnau@debian.org> and the
       suggestion from Alessandro Ghedini <al3xbio@gmail.com> to fix
       FTBFS with xcb-util 0.3.8. Thanks, Arnaud and Alessandro!
       (Closes: #624847)
   * debian/pulseaudio-utils.links: Also add pamon(1), parec(1), and
     parecord(1) (Closes: #599696)
   * debian/README.Debian: Clarify historical pulse-rt use and document
     current recommendation of RealtimeKit (Closes: #548363)
 
   [ Sjoerd Simons ]
   * New upstream release
   * d/p/0003-Mention-speex-and-libsamplerate-in-pulse-daemon.conf.patch
     + Removed, fixed upstream
   * d/p/0004-Fix-FTBFS-with-xcb-util-0.3.8.patch
     + Removed, fixed upstream
   * Update to 0.9.23 versioning:
     debian/libpulse0.shlibs
     debian/pulseaudio.shlibs
     debian/rules
   * Switch to 3.0 (quilt) format
   * debian/control: Use dh-autoreconf
   * debian/patches/+0003-Explicitely-link-pax11publish-to-libdbus.patch:
     + Added. Fix build with binutils-gold (Closes: #556124)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 25 Jul 2011 23:05:29 +0100 

Marked as fixed in versions pulseaudio/0.9.23-1. Request was from Bob Bib <bobbibmpn@mail.ru> to control@bugs.debian.org. (Mon, 13 Aug 2012 23:00:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Sep 2012 07:31:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:54:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.